Api referenceWorkspaces

Portfolio Overview

Reference for Portfolio Overview in the Veriom v1 API, including request, response, and authentication details.

GET/v1/portfolio

Portfolio Overview. Returns a typed response and a request ID for operational support.

Authorization

veriom_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Query Parameters

cursor?string|null
limit?Limit
Default20
Range1 <= value <= 50

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/portfolio"
{
  "has_more": false,
  "items": [
    {
      "access_status": "available",
      "affected_services": 0,
      "audited_repository_count": 0,
      "average_reviewed_risk": 0,
      "fresh_repository_count": 0,
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "latest_audit_at": "2019-08-24T14:15:22Z",
      "latest_audit_id": "e47a6a8f-7abe-4944-9e27-cd1a4c3bb2d4",
      "latest_audit_status": "string",
      "limitations": [
        "string"
      ],
      "measured_at": "2019-08-24T14:15:22Z",
      "name": "string",
      "open_reviewed_findings": 0,
      "overdue_findings": 0,
      "owners": [
        {
          "assigned_findings": 0,
          "name": "string",
          "overdue_findings": 0,
          "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
        }
      ],
      "repository_count": 0,
      "risk_trend": [
        {
          "as_of": "2019-08-24T14:15:22Z",
          "average_risk": 0,
          "open_reviewed_findings": 0
        }
      ],
      "role": "string",
      "severity_counts": {
        "property1": 0,
        "property2": 0
      },
      "slug": "string"
    }
  ],
  "measured_at": "2019-08-24T14:15:22Z",
  "next_cursor": "string"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}

Was this guide useful?

Your response stays in this browser unless you open a GitHub issue.
View source